> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-leet-slack-mcp-docs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Finding Routing Rule

> Retrieve a single finding routing rule by ID.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/findings/routing-rules/{id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/findings/routing-rules/{id}:
    get:
      tags:
        - Finding Routing Rules
      summary: Get Finding Routing Rule
      description: Retrieve a single finding routing rule by ID.
      operationId: c1.api.finding.v1.FindingRoutingRuleService.GetFindingRoutingRule
      parameters:
        - in: path
          name: id
          required: true
          schema:
            description: The ID of the finding routing rule to retrieve.
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.finding.v1.GetFindingRoutingRuleResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: GetFindingRoutingRule
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.FindingRoutingRule.GetFindingRoutingRule(ctx, operations.C1APIFindingV1FindingRoutingRuleServiceGetFindingRoutingRuleRequest{\n        ID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.GetFindingRoutingRuleResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.findingRoutingRule.getFindingRoutingRule({
                id: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.finding.v1.GetFindingRoutingRuleResponse:
      description: The GetFindingRoutingRuleResponse message.
      properties:
        routingRule:
          oneOf:
            - $ref: '#/components/schemas/c1.api.finding.v1.FindingRoutingRule'
            - type: 'null'
      title: Get Finding Routing Rule Response
      type: object
      x-speakeasy-name-override: GetFindingRoutingRuleResponse
    c1.api.finding.v1.FindingRoutingRule:
      description: The FindingRoutingRule message.
      properties:
        action:
          oneOf:
            - $ref: '#/components/schemas/c1.api.finding.v1.FindingRoutingRuleAction'
            - type: 'null'
        appId:
          description: The appId field.
          type: string
        condition:
          description: The condition field.
          type: string
        createdAt:
          format: date-time
          type:
            - string
            - 'null'
        description:
          description: The description field.
          type: string
        displayName:
          description: The displayName field.
          type: string
        enabled:
          description: The enabled field.
          type: boolean
        id:
          description: The id field.
          type: string
        priority:
          description: The priority field.
          format: int32
          type: integer
        templateId:
          description: The templateId field.
          type: string
        updatedAt:
          format: date-time
          type:
            - string
            - 'null'
      title: Finding Routing Rule
      type: object
      x-speakeasy-name-override: FindingRoutingRule
    c1.api.finding.v1.FindingRoutingRuleAction:
      description: >
        The FindingRoutingRuleAction message.


        This message contains a oneof named action. Only a single field of the
        following list may be set at a time:
          - createTask
          - suppress
          - snooze
          - acceptRisk
      properties:
        acceptRisk:
          oneOf:
            - $ref: '#/components/schemas/c1.api.finding.v1.AcceptRiskRoutingAction'
            - type: 'null'
        createTask:
          oneOf:
            - $ref: '#/components/schemas/c1.api.finding.v1.CreateTaskAction'
            - type: 'null'
        snooze:
          oneOf:
            - $ref: '#/components/schemas/c1.api.finding.v1.SnoozeRoutingAction'
            - type: 'null'
        suppress:
          oneOf:
            - $ref: '#/components/schemas/c1.api.finding.v1.SuppressRoutingAction'
            - type: 'null'
      title: Finding Routing Rule Action
      type: object
      x-speakeasy-name-override: FindingRoutingRuleAction
    c1.api.finding.v1.AcceptRiskRoutingAction:
      description: |-
        AcceptRiskRoutingAction accepts the risk for a matched finding for a
         relative duration (resolved to risk_acceptance_expires_at = now + duration
         at execution time).
      properties:
        duration:
          format: duration
          type:
            - string
            - 'null'
        reason:
          description: The reason field.
          type: string
      title: Accept Risk Routing Action
      type: object
      x-speakeasy-name-override: AcceptRiskRoutingAction
    c1.api.finding.v1.CreateTaskAction:
      description: The CreateTaskAction message.
      properties:
        policyId:
          description: The policyId field.
          type: string
      title: Create Task Action
      type: object
      x-speakeasy-name-override: CreateTaskAction
    c1.api.finding.v1.SnoozeRoutingAction:
      description: |-
        SnoozeRoutingAction snoozes a matched finding for a relative duration
         (resolved to snooze_until = now + duration at execution time).
      properties:
        duration:
          format: duration
          type:
            - string
            - 'null'
        reason:
          description: The reason field.
          type: string
      title: Snooze Routing Action
      type: object
      x-speakeasy-name-override: SnoozeRoutingAction
    c1.api.finding.v1.SuppressRoutingAction:
      description: The SuppressRoutingAction message.
      properties:
        reason:
          description: The reason field.
          type: string
      title: Suppress Routing Action
      type: object
      x-speakeasy-name-override: SuppressRoutingAction
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````